## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name botocore
%bcond_without tests

Name:           python-%{pypi_name}
# NOTICE - Updating this package requires updating python-boto3
Version:        1.29.165
Release:        %autorelease
Summary:        Low-level, data-driven core of boto 3

License:        Apache-2.0
URL:            https://github.com/boto/botocore
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        Low-level, data-driven core of boto 3
BuildRequires:  python3-devel
%if %{with tests}
# For tests:
BuildRequires:  python3-jsonschema
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xdist
%endif
Provides:       bundled(python3-six) = 1.16.0
Provides:       bundled(python3-requests) = 2.7.0

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove online tests
rm -vr tests/integration
# This test tried to import tests/cmd-runner which failed as the code was
# unable to import "botocore". I'm not 100% sure why this happened but for now
# just exclude this one test and run all the other functional tests.
rm -vr tests/functional/leak

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import -e botocore.crt.auth -e botocore.vendored*
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt

%changelog
* Mon Jul 03 2023 Major Hayden <major@redhat.com> - 1.29.165-1
- Update to 1.29.165 rhbz#2218862

* Fri Jun 30 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.164-1
- 1.29.164

* Wed Jun 28 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.163-1
- 1.29.163

* Tue Jun 27 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.162-1
- 1.29.162

* Mon Jun 26 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.161-1
- 1.29.161

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 1.29.160-2
- Rebuilt for Python 3.12

* Fri Jun 23 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.160-1
- 1.29.160

* Thu Jun 22 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.159-1
- 1.29.159

* Wed Jun 21 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.158-1
- 1.29.158

* Wed Jun 21 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.157-1
- 1.29.157

* Tue Jun 20 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.156-1
- 1.29.156

* Sat Jun 17 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.155-1
- 1.29.155

* Thu Jun 15 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.154-1
- 1.29.154

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.29.153-2
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.153-1
- 1.29.153

* Mon Jun 12 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.152-1
- 1.29.152

* Fri Jun 09 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.151-1
- 1.29.151

* Thu Jun 08 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.150-1
- 1.29.150

* Wed Jun 07 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.149-1
- 1.29.149

* Tue Jun 06 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.148-1
- 1.29.148

* Mon Jun 05 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.147-1
- 1.29.147

* Fri Jun 02 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.146-1
- 1.29.146

* Thu Jun 01 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.145-1
- 1.29.145

* Wed May 31 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.144-1
- 1.29.144

* Tue May 30 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.143-1
- 1.29.143

* Fri May 26 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.142-1
- 1.29.142

* Thu May 25 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.141-1
- 1.29.141

* Thu May 25 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.140-1
- 1.29.140

* Tue May 23 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.139-1
- 1.29.139

* Mon May 22 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.138-1
- 1.29.138

* Fri May 19 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.137-1
- 1.29.137

* Thu May 18 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.136-1
- 1.29.136

* Tue May 16 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.135-1
- 1.29.135

* Tue May 16 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.134-1
- 1.29.134

* Fri May 12 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.133-1
- 1.29.133

* Wed May 10 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.132-1
- 1.29.132

* Tue May 09 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.131-1
- 1.29.131

* Mon May 08 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.130-1
- 1.29.130

* Mon May 08 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.129-1
- 1.29.129

* Fri May 05 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.128-1
- 1.29.128

* Thu May 04 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.127-1
- 1.29.127

* Wed May 03 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.126-1
- 1.29.126

* Tue May 02 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.125-1
- 1.29.125

* Mon May 01 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.124-1
- 1.29.124

* Fri Apr 28 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.123-1
- 1.29.123

* Thu Apr 27 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.122-1
- 1.29.122

* Wed Apr 26 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.121-1
- 1.29.121

* Tue Apr 25 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.120-1
- 1.29.120

* Tue Apr 25 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.119-1
- 1.29.119

* Fri Apr 21 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.118-1
- 1.29.118

* Thu Apr 20 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.117-1
- 1.29.117

* Wed Apr 19 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.116-1
- 1.29.116

* Mon Apr 17 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.115-1
- 1.29.115

* Fri Apr 14 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.114-1
- 1.29.114

* Thu Apr 13 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.113-1
- 1.29.113

* Thu Apr 13 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.112-1
- 1.29.112

* Wed Apr 12 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.111-1
- 1.29.111

* Tue Apr 11 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.110-1
- 1.29.110

* Thu Apr 06 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.108-1
- 1.29.108

* Thu Apr 06 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.107-1
- 1.29.107

* Tue Apr 04 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.106-1
- 1.29.106

* Mon Apr 03 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.105-1
- 1.29.105

* Fri Mar 31 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.104-1
- 1.29.104

* Thu Mar 30 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.103-1
- 1.29.103

* Thu Mar 30 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.102-1
- 1.29.102

* Wed Mar 29 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.101-1
- 1.29.101

* Mon Mar 27 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.100-1
- 1.29.100

* Fri Mar 24 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.99-1
- 1.29.99

* Thu Mar 23 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.98-1
- 1.29.98

* Wed Mar 22 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.97-1
- 1.29.97

* Tue Mar 21 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.96-1
- 1.29.96

* Mon Mar 20 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.95-1
- 1.29.95

* Fri Mar 17 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.94-1
- 1.29.94

* Thu Mar 16 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.93-1
- 1.29.93

* Wed Mar 15 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.92-1
- 1.29.92

* Wed Mar 15 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.91-1
- 1.29.91

* Mon Mar 13 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.90-1
- 1.29.90

* Sun Mar 12 2023 Igor Raits <igor@gooddata.com> - 1.29.89-2
- Update bundled provides

* Fri Mar 10 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.89-1
- 1.29.89

* Thu Mar 09 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.88-1
- 1.29.88

* Wed Mar 08 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.87-1
- 1.29.87

* Tue Mar 07 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.86-1
- 1.29.86

* Tue Mar 07 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.85-1
- 1.29.85

* Fri Mar 03 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.84-1
- 1.29.84

* Thu Mar 02 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.83-1
- 1.29.83

* Thu Mar 02 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.29.82-2
- RPMAUTOSPEC: unresolvable merge
